//---------------------------------------------------------------------------
//	Conditional Filter for VirtualDub - implements simple branching
//	Copyright (C) 2001-2003 Dmitri Schamschurko
//
//	This program is free software; you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation; either version 2 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program; if not, write to the Free Software
//	Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//
//      The author can be contacted at:
//      Dmitri Schamschurko
//      dc1@tcs.inf.tu-dresden.de
//
//      Version 1.0     Oktober 2001
//      Version 2.0     March 2003
//---------------------------------------------------------------------------

#ifndef f_ConditionMonitorValueH
#define f_ConditionMonitorValueH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Dialogs.hpp>
#include <ExtCtrls.hpp>
//---------------------------------------------------------------------------
class CNumeric;
class TMonitorValueDlg : public TForm
{
__published:	// IDE-managed Components
        TColorDialog *ColorDialog;
        TShape *ColorShape;
        TLabel *Label1;
        TEdit *ValueField;
        TLabel *Label2;
        TButton *Button1;
        TButton *Button2;
        TButton *DeleteButton;
        void __fastcall ColorShapeMouseDown(TObject *Sender,
          TMouseButton Button, TShiftState Shift, int X, int Y);
        void __fastcall Button1Click(TObject *Sender);
        void __fastcall FormActivate(TObject *Sender);
private:	// User declarations
public:		// User declarations
        CNumeric*  Numeric;
        AnsiString NumericText;
        TColor     NumericColor;
        __fastcall TMonitorValueDlg(TComponent* Owner);
};
//---------------------------------------------------------------------------
//extern PACKAGE TMonitorValueDlg *MonitorValueDlg;
//---------------------------------------------------------------------------
#endif

